moodss(1)

NAME
moodss - Modular Object Oriented SpreadSheet all-purpose monitoring application

SYNOPSIS
moodss [OPTION]... [MODULE] [OPTION]... [MODULE]...

moodss -f FILE

DESCRIPTION

Moodss is a graphical monitoring application. It is modular so that the code accessing the monitored objects is completely separate from the application core. The core takes care of managing modules (loading and unloading), displaying modules data through sortable tables and diverse graphical viewers, handling user set threshold conditions with email alerts, recording data cells history in a SQL database, browsing the database, ....
Numerous modules are shipped with moodss for system, network, database, ... monitoring. Any number of modules can be used concurrently, so that complex dashboards can be built.
Furthermore, the moomps daemon, moodss sister application, can be used for data history monitoring over time, using a database as storage mean.

This manual is very succinct and is to be used as a quick reminder for the user. Complete and detailed documentation can be found, for both the user and the module programmer, in the accompanying moodss.htm, modules.htm, FAQ.htm, database.htm, formulas.htm and develop.htm HTML documentations.

The following command line options must appear before any module name appears on the command line, so as not to interfere with the module specific options, which must be placed after each module name.

--debug
    set verbose reporting when module errors occur

-f, --file
    specify a configuration file name

-h, --help
    display some help text and exit

-geometry
    set the initial geometry of the main window (a la X window)

-p, --poll-time
    specify a poll time in seconds

-r, --read-only
    disable viewer creation, editing, ...

-S, --static
    disable internal window manager sizing and moving

--show-modules
    discover valid moodss modules, show their directory location(s) and exit

--version
    output version information and exit

EXAMPLES
Please see the moodss.htm HTML documentation.

KEYWORDS
modular monitoring system database network tcl object oriented spreadsheet moomps